package com.supervision.ai.service.hub.service;

import com.supervision.ai.service.hub.dto.heygem.*;

/**
 * Heygem接口服务
 */
public interface HeygemApiService {

    /**
     * 预训练接口
     * @param tranReqDTO
     * @return
     */
    TranResDTO preprocessAndTran(TranReqDTO tranReqDTO);

    /**
     * 文本转音频
     * @param textToAudioReqDTO
     * @return
     */
    TextToAudioResDTO textToAudio(TextToAudioReqDTO textToAudioReqDTO);

    /**
     * 提交视频生成任务
     * @param videoGenerateReqDTO 视频生成任务请求
     * @return 任务提交结果
     */
    Response<Object> submitVideoGenerateTask(VideoGenerateReqDTO videoGenerateReqDTO);

    /**
     * 查询任务状态
     * @param taskCode 任务code
     * @return 任务状态
     */
    Response<TaskStatusResDTO> queryTaskStatus(String taskCode);

}
